%define	upstream_name	 Convert-TNEF
%define upstream_version 0.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:	%{upstream_name} module for perl
License: 	GPL
Group: 		Development/Perl
Url: 		http://www.cpan.org/modules/by-module/Convert/
Source0:	%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-MIME-tools
BuildArch:	noarch


%description
%{upstream_name} module for perl

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{perl_vendorlib}/Convert/*
%{_mandir}/*/*
%doc MANIFEST README Changes

%changelog
* Thu Feb 24 2011 spuhler <spuhler> 0.170.0-2.mga1
+ Revision: 58196
- Increased rel for rebuild against perl-5.12

* Sun Jan 23 2011 jquelin <jquelin> 0.170.0-1.mga1
+ Revision: 33639
- mageia rebuild
- imported package perl-Convert-TNEF


* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.170.0-1mdv2010.1
+ Revision: 408942
- rebuild using %%perl_convert_version

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.17-8mdv2009.0
+ Revision: 223579
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.17-7mdv2008.1
+ Revision: 180369
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Mar 18 2007 Buchan Milne <bgmilne@mandriva.org> 0.17-6mdv2007.1
+ Revision: 146144
- Rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Convert-TNEF

